*****
.option search='cells'

.subckt pi3eqx7841A p1_in n1_in p2_in n2_in  p3_in n3_in p1_out n1_out p2_out n2_out  p3_out n3_out agnd

xredriver1 p1_in n1_in p1_out n1_out vdd3p3a agnd eq_3a eq_2a eq_1a eq_0a sw_1a sw_0a de_1a de_0a pi3eqx7841
xredriver2 p2_in n2_in p2_out n2_out vdd3p3b agnd eq_3b eq_2b eq_1b eq_0b sw_1b sw_0b de_1b de_0b pi3eqx7841
xredriver3 p3_in n3_in p3_out n3_out vdd3p3c agnd eq_3c eq_2c eq_1c eq_0c sw_1c sw_0c de_1c de_0c pi3eqx7841


*************************************************************************
* Power Supplies and Controls						*
*************************************************************************

vvdd3p3a 	vdd3p3a agnd 	0
vvdd3p3b 	vdd3p3b agnd 	power
vvdd3p3c 	vdd3p3c agnd 	0

vagnd 		agnd 0 		0

*******************************************************
$ The equalizer setting
*******************************************************
* EQ<3:0>		@2.5GHz
*  0000			0dB
*  0001			3.3dB
*  0010			4.5dB
*  0011			5.6dB
*  0100			6.8dB
*  0101			7.4dB
*  0110			8.1dB
*  0111			8.7dB
*  1000			9.3dB
*  1001			10dB
*  1010			10.8dB
*  1011			11.7dB
*  1100			12.5dB
*  1101			13.3dB
*  1110			14.2dB
*  1111			15dB
veq_3a		eq_3a	 agnd		0
veq_2a		eq_2a	 agnd		0
veq_1a		eq_1a 	 agnd		0
veq_0a		eq_0a	 agnd		0
veq_3b		eq_3b	 agnd		eq3v
veq_2b		eq_2b	 agnd		eq2v
veq_1b		eq_1b 	 agnd		eq1v
veq_0b		eq_0b	 agnd		eq0v
veq_3c		eq_3c	 agnd		0
veq_2c		eq_2c	 agnd		0
veq_1c		eq_1c 	 agnd		0
veq_0c		eq_0c	 agnd		0

*******************************************************
$ The output swing setting
*******************************************************
* OS<1:0>		output swing 
*   00			900mVppd
*   01   		1000mVppd
*   10 			1200mVppd
*   11			Reserved
vsw_1a	sw_1a	agnd		0
vsw_0a	sw_0a	agnd		0
vsw_1b	sw_1b	agnd		sw1v
vsw_0b	sw_0b	agnd		sw0v
vsw_1c	sw_1c	agnd		0
vsw_0c	sw_0c	agnd		0



*******************************************************
$ The output de-emphasis setting
*******************************************************
* DE<1:0>	output de-emphasis
*   00		0dB
*   01   	-2dB
*   10 		-3.5dB
*   11 		-6dB
vde_1a 	de_1a	agnd		0
vde_0a	de_0a	agnd		0
vde_1b 	de_1b	agnd		de1v
vde_0b	de_0b	agnd		de0v
vde_1c 	de_1c	agnd		0
vde_0c	de_0c	agnd		0

.ends pi3eqx7741A
